Bug 519328 - [ibus-chewing] inconsistent between normal mode and plain Zhuyin mode.
Summary: [ibus-chewing] inconsistent between normal mode and plain Zhuyin mode.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-chewing
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 07:31 UTC by Ding-Yi Chen
Modified: 2009-11-04 02:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-04 02:04:40 UTC


Attachments (Terms of Use)

Description Ding-Yi Chen 2009-08-26 07:31:27 UTC
Description of problem:
For input sequence "ej3" (ㄍㄨ3),why the number of
candidates varies with the selection of "Plain Zhuyin mode"?

The number of candidates is 20 when "Plain Zhuyin mode" is enabled.
And the number will be 59 if the "Plain Zhuyin mode" is disabled.



Version-Release number of selected component (if applicable):
ibus-chewing-1.2.0-20090818

How reproducible:
Always


Steps to Reproduce:
1. Turn on ibus-chewing
2. Make sure "Plain Zhuyin mode" and "Use space to select" are on.
3. Type "ej3"
4. Press space to enter candidate selection mode.
5. Use space to cycle through the candidate, there are 20 candidates.
6. Clear the preedit buffer.
6. Deselect  "Plain Zhuyin mode" .
3. Type "ej3"
4. Press space to enter candidate selection mode.
5. Use space to cycle through the candidate, there are 59 candidates.
  
Actual results:
"Plain Zhuyin mode" on: 20 candidates.
"Plain Zhuyin mode" off: 59 candidates.

Expected results:
Both of them should show 59 candidates.

Additional info:

Comment 1 Fedora Update System 2009-08-31 07:46:21 UTC
ibus-chewing-1.2.0.20090831-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ibus-chewing-1.2.0.20090831-1.fc11

Comment 2 Fedora Update System 2009-08-31 23:40:26 UTC
ibus-chewing-1.2.0.20090831-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus-chewing'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9180


Note You need to log in before you can comment on or make changes to this bug.